### Function

# Gimp Selection float

#### Declaration [src]

    GimpLayer*
    gimp_selection_float (
      GimpImage* image,
      GimpDrawable** drawables,
      gint offx,
      gint offy
    )

#### Description [src]

Float the selection from the specified drawable with initial offsets as specified.

This procedure determines the region of the specified drawable that lies beneath the current selection. The region is then cut from the drawable and the resulting data is made into a new layer which is instantiated as a floating selection. The offsets allow initial positioning of the new floating selection.

#### Parameters

`image`

  Type: `GimpImage`

  Ignored.

  The data is owned by the caller of the function.

`drawables`

  Type: An array of `GimpDrawable*`

  The drawables from which to float selection.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.

`offx`

  Type: `gint`

  X offset for translation.

`offy`

  Type: `gint`

  Y offset for translation.

#### Return value

Type: `GimpLayer`

The floated layer.

The data is owned by the called function.